<ul>
    <li style="margin-left: 300px;"><a class="active" ></a><button style="margin-left: 1500%;
        margin-top: -6px;margin-bottom: 7px;color: darkolivegreen;
    border-radius: 9px;" (click)="logout()">logout</button></li>
    <li><a href="#news"></a></li>
    <li><a href="#contact"></a></li>
    <li><a href="#about"></a></li>
  </ul>
  
  <div class="sidenav">
    <a  style="margin-top: 54px;
    font-size: inherit;"routerLink="/dashboard">Dashboard</a>
    <a #test style="font-size: inherit;" class="background" (click)="applyclass()" routerLink="/report" >Report</a>
  
  </div>
  <div *ngIf="deleteuserdtls" class="alert alert-success" style="margin-left: 250px;
  width: 66%;">
    <strong>User Deleted!</strong> 
  </div>
  
  <div *ngIf="displayadmin" class="main" style="
  margin-top: 59px;
  margin-left: 240px;">
    <p-table  [value]="userdetails"  [rows]=6>

        <ng-template pTemplate="header">
            <tr>
                <th>Sno</th>
                <th>Name</th>
                <th>Gender</th>
                <th>Mobilenumber</th>
                <th>Designation</th>
                <th>Email</th>
                <th>Actions</th>

            </tr>
        </ng-template>


        <ng-template pTemplate="body" let-userdetails let-i="rowIndex">

            <tr >
                <td class="ptcol"> {{i+1}}</td>
                <td class="text-left ptcol"><span class="textellipsis18" >{{userdetails.name}}</span></td>              
                <td class="text-left ptcol"><span class="textellipsis18" >{{userdetails.gender}}</span></td>
                <td class="text-left ptcol"><span class="textellipsis18" >{{userdetails.mobileNumber}}</span></td>
                <td class="text-left ptcol"><span class="textellipsis18" >{{userdetails.designation}}</span></td>
                <td class="text-left ptcol"><span class="textellipsis18" >{{userdetails.emailId}}</span></td>
                <td class="text-left ptcol ">
                    <button (click)="deleteuser(i)">delete</button>

            </tr>
        </ng-template>
    </p-table>
    <h6 *ngIf="userdetails.length == 0">No Data to display</h6>
  </div>

  <div *ngIf="displaystaff" class="main" style="
  margin-top: 59px;
  margin-left: 240px;">
    <p-table  [value]="managerdetails"  [rows]=6>

        <ng-template pTemplate="header">
            <tr>
                <th>Sno</th>
                <th>Name</th>
                <th>Gender</th>
                <th>Mobilenumber</th>
                <th>Designation</th>
                <th>Email</th>
            </tr>
        </ng-template>


        <ng-template pTemplate="body" let-managerdetails let-i="rowIndex">

            <tr >
                <td class="ptcol"> {{i+1}}</td>
                <td class="text-left ptcol"><span class="textellipsis18" >{{managerdetails.name}}</span></td>               
                <td class="text-left ptcol"><span class="textellipsis18" >{{managerdetails.gender}}</span></td>
                <td class="text-left ptcol"><span class="textellipsis18" >{{managerdetails.mobileNumber}}</span></td>
                <td class="text-left ptcol"><span class="textellipsis18" >{{managerdetails.designation}}</span></td>
                <td class="text-left ptcol"><span class="textellipsis18" >{{managerdetails.emailId}}</span></td>
                


            </tr>
        </ng-template>
    </p-table>
    <h6 *ngIf="managerdetails.length == 0">No Data to display</h6>
    
  </div>